Bug 238677 - I2O with PERC4DC not working on Dell PE2650
I2O with PERC4DC not working on Dell PE2650
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 04:59 EDT by Rainer Traut
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 17:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rainer Traut 2007-05-02 04:59:13 EDT
Description of problem:
EL5 does not boot if i2o mode is set in controller bios

Version-Release number of selected component (if applicable):
kernel-2.6.18-8.1.3.el5

How reproducible:
always

Steps to Reproduce:
1. set i20 instead of mass storage in controller bios
2. boot latest kernel
3. look at i20 errors
  
Actual results:

Error messages on console
i20:iop0: Get status timeout
i20:iop0: Reset timeout
i20:iop0: could not reset controller
i20:iop0: Reset timeout
kernel panic


Expected results:
boot ok, this works with EL4


Additional info:
Seems the interim kernel kernel-2.6.18-8.1.1.el5 was fine.
It did boot with i2o enabled.

But initial kernel from cd and latest kernel-2.6.18-8.1.3.el5 do not boot.

Controller:
01:08.0 RAID bus controller: LSI Logic / Symbios Logic MegaRAID (rev 01)
        Subsystem: Dell MegaRAID 518 DELL PERC 4/DC RAID Controller
        Flags: bus master, 66MHz, slow devsel, latency 32, IRQ 185
        Memory at fce00000 (32-bit, prefetchable) [size=64K]
        Expansion ROM at fcf00000 [disabled] [size=64K]
        Capabilities: [80] Power Management version 2
Comment 1 Rainer Traut 2007-05-02 05:37:15 EDT
I have to revise, sorry.

This does only apply to the initial kernel when installing EL5.
It only finds the controller when set to mass storage.

After updating the kernel it can be set to i20, everything is fine.
kernel-2.6.18-8.1.1.el5
kernel-2.6.18-8.1.3.el5 
are both working.
Comment 3 Tom Coughlan 2007-11-21 17:29:39 EST
The RHEL 5.0 release notes

https://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/release-notes/RELEASE-NOTES-x86-en.html

say:

Known Issues

      Host bus adapters that use the MegaRAID driver must be set to operate in
"Mass Storage" emulation mode, not in "I2O" emulation mode. To do this, perform
the following steps:
         1.Enter the MegaRAID BIOS Set Up Utility.
         2.Enter the Adapter settings menu.
         3.Under Other Adapter Options, select Emulation and set it to Mass Storage.

      If the adapter is incorrectly set to "I2O" emulation, the system will
attempt to load the i2o driver. This will fail, and prevent the proper driver
from being loaded.

      Previous Red Hat Enterprise Linux releases generally do not attempt to
load the I2O driver before the MegaRAID driver. Regardless of this, the hardware
should always be set to "Mass Storage" emulation mode when used with Linux.


Note You need to log in before you can comment on or make changes to this bug.